Bug 1303248 - [Doc] Upgrade Document needs to be updated for monitor/OSD daemon restart process
[Doc] Upgrade Document needs to be updated for monitor/OSD daemon restart pro...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.2
x86_64 Linux
medium Severity medium
: rc
: 1.3.2
Assigned To: Aron Gunn
ceph-qe-bugs
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 17:37 EST by Rachana Patel
Modified: 2016-03-01 03:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 03:22:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2016-01-29 17:37:07 EST
Description of problem:
=======================
upgrade to Ceph 1.3.2

In Document:
https://gitlab.cee.redhat.com/red-hat-ceph-storage-documentation/doc-Red_Hat_Ceph_Storage_1.3-Installation_Guide_for_Red_Hat_Enterprise_Linux/blob/271c530ec4ce86d78bc4bf2c9b2529dcebed3d6b/red-hat-ceph-storage-upgrade.adoc


Upgrading v1.3.0 to v1.3.2  & Upgrading v1.3.1 to v1.3.2 for CDN-based Installations has section about monitor daemon. Unlike other section here example only ask to start daemon (without stopping)


Actual results:
===============
Doc snippet:-

To upgrade a monitor node, re-install the monitor daemon from the admin node, and reconnect monitor node to Calamari. Finally, upgrade and restart the monitor daemon.
From the admin node, execute:
ceph-deploy install --mon <monitor-node>
ceph-deploy calamari connect --master '<FQDN for the Calamari admin node>' <monitor-node>
Finally, upgrade and restart the monitor daemon:
sudo yum update
sudo /etc/init.d/ceph [options] start mon.[id]


Same is true for OSD upgrade.

Expected results:
=================
example should say restart daemon

or it should first ask to stop and then start like other upgrade section in doc


Additional info:
Comment 3 shilpa 2016-02-03 04:10:16 EST
Looks good to me. Verified the link in C#2.

Note You need to log in before you can comment on or make changes to this bug.